package osdu.partition["osdu"].cache

import input

uuid1 = uuid.rfc4122("abc")
uuid2 = uuid.rfc4122("foo")
uuid3 = uuid.rfc4122("123")

headers1 = {
    "Content-Type": "application/json",
    "data-partition-id": input.datapartitionid,
    "Authorization": sprintf("Bearer %v", [input.token]),
    "Accept": "application/json",
    "correlation-id": uuid1
}

headers2 = {
    "Content-Type": "application/json",
    "data-partition-id": input.datapartitionid,
    "Authorization": sprintf("Bearer %v", [input.token]),
    "Accept": "application/json",
    "correlation-id": uuid2
}

headers3 = {
    "Content-Type": "application/json",
    "data-partition-id": input.datapartitionid,
    "Authorization": sprintf("Bearer %v", [input.token]),
    "Accept": "application/json",
    "uuid": uuid3
}

body = {
   "names": { x |  x := input.records[_].legal.legaltags[_] }
}

legal_base_url = sprintf("%s%s",[opa.runtime().env["LEGAL_BASE_URL"],"/api/legal/v1/legaltags"])

entitlement_base_url = sprintf("%s%s",[opa.runtime().env["ENTITLEMENTS_BASE_URL"],"/api/entitlements/v2/groups"])

legal_response1 := http.send({
    "method": "GET",
    "url": sprintf("%s%s",[opa.runtime().env["LEGAL_BASE_URL"],"/api/legal/v1/legaltags"]),
    "body": body,
    "headers": headers1,
    "max_retry_attempts": 5,
    "force_cache": true,
    "force_cache_duration_seconds": 14400
    })

legal_response2 := http.send({
    "method": "GET",
    "url": sprintf("%s%s",[opa.runtime().env["LEGAL_BASE_URL"],"/api/legal/v1/legaltags"]),
    "body": body,
    "headers": headers2,
    "max_retry_attempts": 5,
    "force_cache": true,
    "force_cache_duration_seconds": 14400
    })

legal_response3 := http.send({
    "method": "GET",
    "url": sprintf("%s%s",[opa.runtime().env["LEGAL_BASE_URL"],"/api/legal/v1/legaltags"]),
    "body": body,
    "headers": headers3,
    "max_retry_attempts": 5,
    "force_cache": true,
    "force_cache_duration_seconds": 14400
    })

groups_response1 := http.send({
    "method": "GET",
    "url": sprintf("%s%s",[opa.runtime().env["ENTITLEMENTS_BASE_URL"],"/api/entitlements/v2/groups"]),
    "headers": headers1,
    "max_retry_attempts": 5,
    "force_cache": true,
    "force_cache_duration_seconds": 14400
    })

groups_response2 := http.send({
    "method": "GET",
    "url": sprintf("%s%s",[opa.runtime().env["ENTITLEMENTS_BASE_URL"],"/api/entitlements/v2/groups"]),
    "headers": headers2,
    "max_retry_attempts": 5,
    "force_cache": true,
    "force_cache_duration_seconds": 14400
    })

groups_response3 := http.send({
    "method": "GET",
    "url": sprintf("%s%s",[opa.runtime().env["ENTITLEMENTS_BASE_URL"],"/api/entitlements/v2/groups"]),
    "headers": headers3,
    "max_retry_attempts": 5,
    "force_cache": true,
    "force_cache_duration_seconds": 14400
    })

policy_response1 := http.send({
    "method": "GET",
    "url": sprintf("%s%s",[opa.runtime().env["ENTITLEMENTS_BASE_URL"],"/api/policy/v1/config"]),
    "headers": headers1,
    "max_retry_attempts": 5,
    "force_cache": true,
    "force_cache_duration_seconds": 14400
    })

policy_response2 := http.send({
    "method": "GET",
    "url": sprintf("%s%s",[opa.runtime().env["ENTITLEMENTS_BASE_URL"],"/api/policy/v1/config"]),
    "headers": headers2,
    "max_retry_attempts": 5,
    "force_cache": true,
    "force_cache_duration_seconds": 14400
    })

policy_response3:= http.send({
    "method": "GET",
    "url": sprintf("%s%s",[opa.runtime().env["ENTITLEMENTS_BASE_URL"],"/api/policy/v1/config"]),
    "headers": headers3,
    "max_retry_attempts": 5,
    "force_cache": true,
    "force_cache_duration_seconds": 14400
    })

search_response1 := http.send({
    "method": "POST",
    "url": sprintf("%s%s",[opa.runtime().env["ENTITLEMENTS_BASE_URL"],"/api/search/v2/query"]),
    "body": {"kind": "*:*:*:*", "query": "", "limit": 1000},
    "headers": headers1,
    "max_retry_attempts": 5,
    "force_cache": true,
    "force_cache_duration_seconds": 14400
    })

search_response2 := http.send({
    "method": "POST",
    "url": sprintf("%s%s",[opa.runtime().env["ENTITLEMENTS_BASE_URL"],"/api/search/v2/query"]),
    "body": {"kind": "*:*:*:*", "query": "", "limit": 1000},
    "headers": headers2,
    "max_retry_attempts": 5,
    "force_cache": true,
    "force_cache_duration_seconds": 14400
    })

search_response3 := http.send({
    "method": "POST",
    "url": sprintf("%s%s",[opa.runtime().env["ENTITLEMENTS_BASE_URL"],"/api/search/v2/query"]),
    "body": {"kind": "*:*:*:*", "query": "", "limit": 1000},
    "headers": headers3,
    "max_retry_attempts": 5,
    "force_cache": true,
    "force_cache_duration_seconds": 14400
    })
