#!/bin/bash

# Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

#Required Env Variables
#AWS_DEPLOYMENTS_SUBDIR
#AWS_REGION
#AWS_SERVICE_NAMESPACE
#POLICY_BUCKET

if [ -z "$DEPLOYMENTS_BASE_DIR" ];
then export DEPLOYMENTS_BASE_DIR=deployment;
fi

# From deployment cloudformation template
if [ -z "$POLICY_CONFIG_MAP_NAME" ];
then export POLICY_CONFIG_MAP_NAME=opa-bundle-server-config
fi

if [ -z "$PARTITIONS" ];
# partition opendes is required for GitLab search integration tests
then export PARTITIONS="osdu opendes"
fi

# Create and upload Policy bundles to S3
pip3 install -r $AWS_DEPLOYMENTS_SUBDIR/requirements.txt
python $DEPLOYMENTS_BASE_DIR/scripts/aws/AwsPolicyBootstrap.py $AWS_REGION $POLICY_BUCKET --partitions $PARTITIONS
