import json
import requests

from rego import ast, walk

# Load input data
inputfile = open("search_input.json")
inputdata = json.load(inputfile)

opaurl = "http://localhost:8181"

# datapath = "http://localhost:8181/v1/data"

policypath = opaurl + "/v1/policies"


# get all policies
resp = requests.get(policypath)
policies = resp.json()
# print(policies)


# resp = requests.post(compilepath)
compilepath = opaurl + "/v1/compile"

respqry = requests.post(compilepath, data=json.dumps(inputdata))
# Load the resulting set of query ASTs out of the JSON response.
result = respqry.json()["result"]["queries"]
# result = respqry.json()
# print(json.dumps(result, indent=4)
# print(result)
qs = ast.QuerySet.from_data(result)
print(qs)

# Pretty print the ASTs.
# walk.pretty_print(qs)
